<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/announce_begin_server.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d8/d26/announce__begin__server_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">announce_begin_server.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d26/announce__begin__server_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef ANNOUNCE_BEGIN_SERVER_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define ANNOUNCE_BEGIN_SERVER_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/dcb/openthread-core-config_8h.html">openthread-core-config.h</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dd/d28/coap__server_8hpp.html">coap/coap_server.hpp</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/d05/timer_8hpp.html">common/timer.hpp</a>&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dc/d02/ip6__address_8hpp.html">net/ip6_address.hpp</a>&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">class </span>ThreadNetif;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html">   51</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html">AnnounceBeginServer</a></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;{</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <a class="code" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a662879b71f9c4ec5cf41589bb9acdb58">AnnounceBeginServer</a>(<a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a853e2a87857bb8fd911f04bd95505a70">SendAnnounce</a>(uint32_t aChannelMask);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a853e2a87857bb8fd911f04bd95505a70">SendAnnounce</a>(uint32_t aChannelMask, uint8_t aCount, uint16_t aPeriod);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        kDefaultCount  = 3,</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        kDefaultPeriod = 1000,</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    };</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleRequest(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage,</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;                              <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> HandleRequest(<a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> SendResponse(<span class="keyword">const</span> <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aRequestHeader, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aRequestMessageInfo);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleTimer(<span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordtype">void</span> HandleTimer(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    uint32_t mChannelMask;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    uint16_t mPeriod;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    uint8_t mCount;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    uint8_t mChannel;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <a class="code" href="../../d1/d40/classThread_1_1Timer.html">Timer</a> mTimer;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <a class="code" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Coap::Resource</a> mAnnounceBegin;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <a class="code" href="../../de/d76/classThread_1_1Coap_1_1Server.html">Coap::Server</a> &amp;mCoapServer;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;mNetif;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;};</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="preprocessor">#endif  // ANNOUNCE_BEGIN_SERVER_HPP_</span></div><div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Thread::Ip6::MessageInfo</a></div><div class="ttdoc">This class implements message information for an IPv6 message. </div><div class="ttdef"><b>Definition:</b> socket.hpp:54</div></div>
<div class="ttc" id="ip6__address_8hpp_html"><div class="ttname"><a href="../../dc/d02/ip6__address_8hpp.html">ip6_address.hpp</a></div><div class="ttdoc">This file includes definitions for IPv6 addresses. </div></div>
<div class="ttc" id="classThread_1_1Message_html"><div class="ttname"><a href="../../dc/d3c/classThread_1_1Message.html">Thread::Message</a></div><div class="ttdoc">This class represents a message. </div><div class="ttdef"><b>Definition:</b> message.hpp:213</div></div>
<div class="ttc" id="classThread_1_1ThreadNetif_html"><div class="ttname"><a href="../../d3/d8e/classThread_1_1ThreadNetif.html">Thread::ThreadNetif</a></div><div class="ttdef"><b>Definition:</b> thread_netif.hpp:85</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="classThread_1_1Timer_html"><div class="ttname"><a href="../../d1/d40/classThread_1_1Timer.html">Thread::Timer</a></div><div class="ttdoc">This class implements a timer. </div><div class="ttdef"><b>Definition:</b> timer.hpp:138</div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Header_html"><div class="ttname"><a href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></div><div class="ttdoc">This class implements CoAP header generation and parsing. </div><div class="ttdef"><b>Definition:</b> coap_header.hpp:68</div></div>
<div class="ttc" id="coap__server_8hpp_html"><div class="ttname"><a href="../../dd/d28/coap__server_8hpp.html">coap_server.hpp</a></div><div class="ttdoc">This file includes definitions for the CoAP server. </div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Resource_html"><div class="ttname"><a href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Thread::Coap::Resource</a></div><div class="ttdoc">This class implements CoAP resource handling. </div><div class="ttdef"><b>Definition:</b> coap_server.hpp:55</div></div>
<div class="ttc" id="timer_8hpp_html"><div class="ttname"><a href="../../df/d05/timer_8hpp.html">timer.hpp</a></div><div class="ttdoc">This file includes definitions for the multiplexed timer service. </div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Server_html"><div class="ttname"><a href="../../de/d76/classThread_1_1Coap_1_1Server.html">Thread::Coap::Server</a></div><div class="ttdoc">This class implements the CoAP server. </div><div class="ttdef"><b>Definition:</b> coap_server.hpp:101</div></div>
<div class="ttc" id="openthread-types_8h_html"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a></div><div class="ttdoc">This file defines the types and structures used in the OpenThread library API. </div></div>
<div class="ttc" id="classThread_1_1AnnounceBeginServer_html_a662879b71f9c4ec5cf41589bb9acdb58"><div class="ttname"><a href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a662879b71f9c4ec5cf41589bb9acdb58">Thread::AnnounceBeginServer::AnnounceBeginServer</a></div><div class="ttdeci">AnnounceBeginServer(ThreadNetif &amp;aThreadNetif)</div><div class="ttdoc">This constructor initializes the object. </div><div class="ttdef"><b>Definition:</b> announce_begin_server.cpp:56</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="openthread-core-config_8h_html"><div class="ttname"><a href="../../df/dcb/openthread-core-config_8h.html">openthread-core-config.h</a></div><div class="ttdoc">This file includes compile-time configuration constants for OpenThread. </div></div>
<div class="ttc" id="classThread_1_1AnnounceBeginServer_html_a853e2a87857bb8fd911f04bd95505a70"><div class="ttname"><a href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a853e2a87857bb8fd911f04bd95505a70">Thread::AnnounceBeginServer::SendAnnounce</a></div><div class="ttdeci">ThreadError SendAnnounce(uint32_t aChannelMask)</div><div class="ttdoc">This method begins the MLE Announce transmission process using Count=3 and Period=1s. </div><div class="ttdef"><b>Definition:</b> announce_begin_server.cpp:65</div></div>
<div class="ttc" id="classThread_1_1AnnounceBeginServer_html"><div class="ttname"><a href="../../da/d6e/classThread_1_1AnnounceBeginServer.html">Thread::AnnounceBeginServer</a></div><div class="ttdoc">This class implements handling Announce Begin Requests. </div><div class="ttdef"><b>Definition:</b> announce_begin_server.hpp:51</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../d8/d26/announce__begin__server_8hpp.html">announce_begin_server.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:33 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
